> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Bulk Disbursements File

> Use this endpoint to confirm your bulk disbursements CSV file has all the necessary details needed and won't fail when uploaded for the bulk transfer transaction.

## Request Body Parameters

Add a form-data with a key of “file” in the request body. In the value tab, upload a CSV file of your bulk transfer. Ensure all the required fields such as the amount, currency, bank\_code, branch\_code, account\_number, account\_name, and narration are present in your CSV file before uploading it.


## OpenAPI

````yaml openapi.json POST /transfers/bulk/validate
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/bulk/validate:
    post:
      description: >-
        Use this endpoint to confirm your bulk disbursement CSV file has all the
        necessary details needed and won't fail when uploaded for the bulk
        transfer transaction.
      operationId: ValidateBulkTransfer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                file:
                  type: string
                  description: Upload the file content and must in CSV format.
                  format: binary
              required:
                - file
            example:
              file: string
      responses:
        '201':
          description: A JSON array of create bulk disbursement objects.
          content:
            application/json:
              schema:
                type: object
                properties:
                  failedRequests:
                    type: array
                    default: []
                  totalRequests:
                    type: number
                    format: int32
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
components:
  schemas:
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    Error401:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: invalid_credentials
        status:
          type: integer
          format: float
          example: 401
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````